×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Jan 2006
    Posts
    3

    Angry Why makmake can't decide the version of RVCT compiler

    Hi,
    I installed S60 SDK 3.0(standard version added on 17th,Jan,2006) and CodeWarrior 3.1 Personal Edition, When I use 'makmake' it appears the WARNING message: 'Cannot determine the version of RVCT Compiler', I am using WINDOWS XP Professional SP2, Could anybody tell me what's being wrong here, Thank you very much!

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Why makmake can't decide the version of RVCT compiler

    Which RVCT version do you have (i.e., have you purchased the RealView Developer Suite from ARM and installed it)? If not, then make sure you use/specify the GCCE as the target (unless you're compiling for the emulator, which'd mean WINSCW, instead).

  3. #3
    Registered User
    Join Date
    Jan 2006
    Posts
    3

    Re: Why makmake can't decide the version of RVCT compiler

    Dear Petrib,
    I haven't installed any 'RealView Developer Suite from ARM'. I noticed in the directory which S60 SDK 3rd is in, there are 2 folders rvct2_1 and rvct2_2 in
    C:\Symbian\9.1\S60_3rd\Epoc32\include, is this the reason why 'makmake' can decide the version of rvct? I think both folders( rvct2_1 and rvct2_2) are coming with S60 SDK, so there should be such problem.
    I am a real novice in programming and I am learning from the beginning. Could tell me what is GCCE and how to specify is as the target. (last night I learnt WINSCW is a parameter to indicate the result a target of the emulator, is it right?)
    Thank you very much for your kind help.

    Sincerely Yours
    Philip Leng

  4. #4
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Why makmake can't decide the version of RVCT compiler

    The SDK comes with a free target compiler, GCCE.

    If you want to use RVCT, you need to buy and installe RVCT separately from ARM (you buy a license for the RealView Developer Suite, RVDS, from them).

    When you haven't bought RVCT/RVDS, then you should specify GCCE as the target (parameter/argument) when you build/compile a project for the phone (and if you build/compile for the emulator, you use WINSCW).

  5. #5
    Registered User
    Join Date
    Jan 2006
    Posts
    3

    Re: Why makmake can't decide the version of RVCT compiler

    Thank you very much! Petrib, your reply is very helpful, I will try it on the computer in our lab.
    Cheers

  6. #6
    Registered User
    Join Date
    May 2007
    Posts
    16

    Re: Why makmake can't decide the version of RVCT compiler

    then how can we specify GCCE as the target ,im using carbide v1.2 with s60SDK

  7. #7
    Regular Contributor
    Join Date
    Feb 2006
    Location
    India,Pune
    Posts
    311

    Re: Why makmake can't decide the version of RVCT compiler

    GCCE is free with Sdk you just select at the time of installation process..

    Regards,
    Parag Purkar

Similar Threads

  1. Update midlet version on 3650
    By zivgr in forum Mobile Java General
    Replies: 9
    Last Post: 2005-07-27, 08:15
  2. Which version of SDK to use (Cannot decide)
    By hammadkb in forum PC Suite API and PC Connectivity SDK
    Replies: 1
    Last Post: 2003-09-25, 14:29
  3. setting of Series 60 MIDP SDK for Symbian OS version 1.2 for networking
    By servigo in forum Mobile Java Networking & Messaging & Security
    Replies: 2
    Last Post: 2003-07-31, 07:47
  4. nokia 7210 modem via IR doesn't work !
    By oussamaaiadi in forum PC Suite API and PC Connectivity SDK
    Replies: 1
    Last Post: 2003-03-06, 10:46
  5. Questions about version code in MMS protocol
    By wangzhong in forum General Messaging
    Replies: 1
    Last Post: 2002-11-21, 10:32

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×